package com.hai.service;

import com.hai.entity.HighActivityUserLotteryNum;

/**
 * 用户抽奖次数
 * @author hurui
 */
public interface HighActivityUserLotteryNumService {

    /**
     * 用户抽奖
     * @param activityId
     * @param userId
     * @return
     */
    Object userLottery(Long activityId, Long userId);

    /**
     * 增加抽奖次数
     * @param activityId 活动id
     * @param userId 用户id
     * @param num 抽奖次数
     */
    void addLotteryNum(Long activityId,Long userId,Integer num);

    /**
     * 减去抽奖次数
     * @param activityId
     * @param userId
     */
    void minusLotteryNum(Long activityId,Long userId);

    /**
     * 详情
     * @param activityId
     * @param userId
     * @return
     */
    HighActivityUserLotteryNum getDetail(Long activityId,Long userId);

    /**
     *
     * 获取抽奖次数
     * @param activityId 活动id
     * @param userId 用户id
     * @return
     */
    Integer getLotteryNum(Long activityId,Long userId);

}
